Agora C++ API Reference for All Platforms

Public Member Functions | Protected Member Functions | List of all members
agora::rtc::IObservableVideoSink Class Reference

Inherits agora::rtc::IVideoRendererEx.

## Public Member Functions
virtual void | setVideoFrameObserver (agora::media::IVideoFrameObserver *observer)
Public Member Functions inherited from agora::rtc::IVideoRendererEx
virtual int | onFrame (const webrtc::VideoFrame &videoFrame)
int | setView (void *view, aosl_ref_t ares=AOSL_REF_INVALID) override
int | addView (void *view, const Rectangle &cropArea, aosl_ref_t ares=AOSL_REF_INVALID) override
int | removeView (void *view) override
virtual int | addViewEx (agora::rtc::view_shared_ptr_t view, const ViewOption &option)
virtual int | addViewEx (agora::rtc::view_shared_ptr_t view)
virtual int | removeViewEx (agora::view_t view)
int | setRenderMode (void *view, media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID) override
int | setMirror (void *view, bool mirror, aosl_ref_t ares=AOSL_REF_INVALID) override
virtual int | setRenderModeEx (agora::view_t view, media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)
virtual int | setMirrorEx (agora::view_t view, bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)
virtual int | setCropAreaEx (agora::view_t view, const Rectangle &cropArea, aosl_ref_t ares=AOSL_REF_INVALID)
virtual void | attachUserInfo (uid_t uid, uint64_t state_space)
virtual void | SetVideoQoEPusher (std::weak_ptr< agora::rtc::VideoStatsEventsPusher > pusher)
virtual int | getViewMetaInfo (PreviewMetaInfo &info)
virtual int | getViewMetaInfo (agora::view_t view, PreviewMetaInfo &info)
virtual int | getViewCount ()
virtual int | clearBuffer ()
virtual int | setRenderModeLLApiInternal (media::base::RENDER_MODE_TYPE renderMode)
virtual int | setRenderModeLLApiInternal (void *view, media::base::RENDER_MODE_TYPE renderMode)
virtual int | setRenderModeExLLApiInternal (view_t view, media::base::RENDER_MODE_TYPE renderMode)
virtual int | setMirrorLLApiInternal (bool mirror)
virtual int | setMirrorLLApiInternal (void *view, bool mirror)
virtual int | setMirrorExLLApiInternal (view_t view, bool mirror)
virtual int | setCropAreaExLLApiInternal (view_t view, const Rectangle &cropArea)
virtual int | setViewLLApiInternal (view_t view)
virtual int | addViewLLApiInternal (view_t view, const Rectangle &cropArea)
virtual int | unsetViewLLApiInternal ()
virtual int | removeViewLLApiInternal (view_t view)
virtual int | setRenderMode (media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setRenderMode (void *view, media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setMirror (bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setMirror (void *view, bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::rtc::IVideoRenderer
virtual int | setRenderMode (media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setMirror (bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unsetView (aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::rtc::IVideoSinkBase
virtual int | setProperty (const char *key, const void *buf, int buf_size)
virtual int | getProperty (const char *key, void *buf, int buf_size)
virtual int | onFrame (const media::base::VideoFrame &videoFrame)=0
virtual bool | isExternalSink ()
virtual bool | onDataStreamWillStart ()
virtual void | onDataStreamWillStop ()
virtual bool | applyMirror ()
virtual bool | applyRotation ()
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
| ~IObservableVideoSink ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IObservableVideoSink()

agora::rtc::IObservableVideoSink::~IObservableVideoSink | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ setVideoFrameObserver()

virtual void agora::rtc::IObservableVideoSink::setVideoFrameObserver | ( | agora::media::IVideoFrameObserver * | observer | ) |
| inline virtual